---
title: <frequency>
slug: Web/CSS/frequency
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Reference
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>&lt;frequency&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a> represents a frequency dimension, such as the pitch of a speaking voice. It is not currently used in any CSS properties.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>&lt;frequency&gt;</code> data type consists of a {{cssxref("&lt;number&gt;")}} followed by one of the units listed below. As with all CSS dimensions, there is no space between the unit literal and the number.</p>

<h3 id="Units">Units</h3>

<dl>
 <dt><code><a id="Hz">Hz</a></code></dt>
 <dd>Represents a frequency in hertz. Examples: <code>0Hz</code>, <code>1500Hz</code>, <code>10000Hz</code>.</dd>
 <dt><code><a id="kHz">kHz</a></code></dt>
 <dd>Represents a frequency in kilohertz. Examples: <code>0kHz</code>, <code>1.5kHz</code>, <code>10kHz</code>.</dd>
</dl>

<div class="note">
<p><strong>Note:</strong> Although the number <code>0</code> is always the same regardless of unit, the unit may not be omitted. In other words, <code>0</code> is invalid and does not represent <code>0Hz</code> or <code>0kHz</code>. Though the units are case-insensitive, it is good practice to use a capital "H" for <code>Hz</code> and <code>kHz</code>, as specified in the <a class="external" href="http://en.wikipedia.org/wiki/International_System_of_Units">SI</a>.</p>
</div>

<h2 id="Examples"><span>Examples</span></h2>

<h3 id="Valid_frequency_values">Valid frequency values</h3>

<pre class="notranslate">12Hz     Positive integer
4.3Hz    Non-integer
14KhZ    The unit is case-insensitive, though non-SI capitalization is not recommended.
+0Hz     Zero, with a leading + and a unit
-0kHz    Zero, with a leading - and a unit</pre>

<h3 id="Invalid_frequency_values">Invalid frequency values</h3>

<pre class="example-bad notranslate">12.0     This is a &lt;number&gt;, not an &lt;frequency&gt;, because it is missing a unit.
7 Hz     No space is allowed between the number and the unit.
0        Although unitless zero is an allowable &lt;length&gt;, it's an invalid &lt;frequency&gt;.</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Values', '#frequency', '&lt;frequency&gt;')}}</td>
   <td>{{Spec2('CSS3 Values')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<div class="note">
<p><strong>Note:</strong> This data type was initially introduced in <a class="external" href="https://www.w3.org/TR/CSS2/aural.html#q19.0" title="http://www.w3.org/TR/CSS2/">CSS Level 2</a> for the now-obsolete <a href="/en-US/docs/Web/CSS/@media/aural" title="aural">aural</a> <a href="/en-US/docs/Web/CSS/@media#Media_types">media type</a>, where it was used to define the pitch of the voice. However, the <code>&lt;frequency&gt;</code> data type has been reintroduced in CSS3, though no CSS property is using it at the moment.</p>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.frequency")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("&lt;frequency-percentage&gt;")}}</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Values_and_Units">CSS Values and Units</a></li>
</ul>
